KeyAgreementFactory (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.key.KeyAgreementFactory,KeyAgreementFactory class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.key
Class KeyAgreementFactory

    java.lang.Object
      |
      +--gnu.crypto.key.KeyAgreementFactory

public class KeyAgreementFactory
extends java.lang.Object

A Factory class to generate key agreement protocol handlers.

Method Summary
`static java.util.Set` | `getNames()` Returns a `Set` of key agreement protocol names supported by this Factory.
`static IKeyAgreementParty` | `getPartyAInstance(java.lang.String name)` Returns an instance of a key agreeent protocol handler, for party `A` in a two-party `A..B` exchange, given the canonical name of this protocol.
`static IKeyAgreementParty` | `getPartyBInstance(java.lang.String name)` Returns an instance of a key agreeent protocol handler, for party `B` in a two-party `A..B` exchange, given the canonical name of this protocol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getPartyAInstance

    public static IKeyAgreementParty getPartyAInstance(java.lang.String name)

  Returns an instance of a key agreeent protocol handler, for party `A` in a two-party `A..B` exchange, given the canonical name of this protocol. Party `A` is usually the initiator of the exchange.

  Parameters:
    `name` - the case-insensitive key agreement protocol name.
  Returns:
    an instance of the key agreement protocol handler for party `A`, or `null` if none found.

### getPartyBInstance

    public static IKeyAgreementParty getPartyBInstance(java.lang.String name)

  Returns an instance of a key agreeent protocol handler, for party `B` in a two-party `A..B` exchange, given the canonical name of this protocol.

  Parameters:
    `name` - the case-insensitive key agreement protocol name.
  Returns:
    an instance of the key agreement protocol handler for party `B`, or `null` if none found.

### getNames

    public static final java.util.Set getNames()

  Returns a `Set` of key agreement protocol names supported by this Factory.

  Returns:
    a `Set` of key agreement protocol names (Strings).

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.